Note: This website is archived. For up-to-date information about D projects and development, please visit wiki.dlang.org.

Ticket #5 (closed enhancement: fixed)

Opened 14 years ago

Last modified 13 years ago

Display Read Status for Posts

Reported by: pragma Assigned to: pragma
Priority: major Milestone: Version 1.0
Component: component1 Version:
Keywords: Cc:

Description (Last modified by pragma)

PHPBB has a feature by which a user can see which messageboard posts he/she hasn't read yet.

Implementation Details:

  • Provide an 'isNew' column to the topic model, that is the conjugate of the 'most recent' criteria and the touched model.
  • Update topic/_defs.cs to assign an 'isNew' class to the topic row, and add an icon and/or text for the 'new' status
  • Update htdocs/css/forums.css to define 'isNew' - the background color should be modified to stand out.
  • Add a new topic icon to htdocs/images/

Change History

03/13/07 15:18:18 changed by pragma

  • type changed from defect to enhancement.

09/19/07 22:45:38 changed by div0

This should be the most important priority. Finding new posts in the tango forum is already a huge pita and it's only going to get worse with more traffic.

09/20/07 08:53:32 changed by larsivi

Yes, this is very important together with notification. FWIW, a workaround is to subscribe to the RSS feed (Timeline, tick forum).

03/31/08 14:55:41 changed by pragma

Will boost priority, and will add a "touched" model that will track user activity at the topic level. That should provided the needed functionality.

To those interested: Topics will be come 'touched' when the user has viewed the thread. A topic will become 'un-touched' when the topic is modified, such as a new post is added.

The needed hooks are already in place thanks to watch support. This will also help with the incomplete 'recent activity' view.

04/18/08 16:08:38 changed by pragma

  • status changed from new to assigned.
  • description changed.

04/18/08 16:08:52 changed by pragma

  • description changed.

04/26/08 02:14:00 changed by pragma

  • status changed from assigned to closed.
  • resolution set to fixed.

Completed in [107] as a part of the system-wide definition for 'recent' and 'touched'.

Untouched and recent topics will be highlighted, as well as accompanied by a 508-compliant decorator to the topic (an icon). Only the intersection of these two properties is displayed: old but untouched topics will not be highlighted.